Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.binding.https
Class HttpsClientBinding

    java.lang.Object
      weblogic.webservice.binding.AbstractBinding
          weblogic.webservice.binding.soap.HttpClientBinding
              weblogic.webservice.binding.https.HttpsClientBinding

All Implemented Interfaces:
  Binding

Deprecated. please migrate to jws for webservices

    public class HttpsClientBinding

extends weblogic.webservice.binding.soap.HttpClientBinding

HttpsClientBinding for WLS Webservices support for SSL

Field Summary

Fields inherited from class weblogic.webservice.binding.AbstractBinding
`CLIENT_SIDE, SERVER_SIDE`

Constructor Summary
`HttpsClientBinding()` Deprecated.

Method Summary
`protected Socket` | `createSocket(String host, int port)` Deprecated.
`protected Socket` | `createSocket(URL url)` Deprecated.
`void` | `init(BindingInfo info)` Deprecated. Initializes this binding.
`protected void` | `releaseSocket()` Deprecated.

Methods inherited from class weblogic.webservice.binding.soap.HttpClientBinding
`getSocketKeepAlives, receive, send, setKeepAliveCountingEnabled`

Methods inherited from class weblogic.webservice.binding.AbstractBinding
`getBindingInfo, getDestination, getReplyTo, getSender, isClientSide, isServerSide, setBindingInfo, setClientSide, setDestination, setReplyTo, setSender, setServerSide`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpsClientBinding

    public HttpsClientBinding()
                       throws SOAPException

  Deprecated.
  Throws:
    `SOAPException`

Method Detail

### init

    public void init(BindingInfo info)
              throws IOException

  Deprecated.
  Description copied from interface: `Binding`
  Initializes this binding.

  Specified by:
    `init` in interface `Binding`
  Overrides:
    `init` in class `weblogic.webservice.binding.soap.HttpClientBinding`
  Parameters:
    `info` - binding information used to create this binding
  Throws:
    `IOException` - failed to init binding

### createSocket

    protected Socket createSocket(String host,
                                  int port)
                           throws IOException

  Deprecated.
  Overrides:
    `createSocket` in class `weblogic.webservice.binding.soap.HttpClientBinding`
  Throws:
    `IOException`

### createSocket

    protected Socket createSocket(URL url)
                           throws IOException

  Deprecated.
  Overrides:
    `createSocket` in class `weblogic.webservice.binding.soap.HttpClientBinding`
  Throws:
    `IOException`

### releaseSocket

    protected void releaseSocket()

  Deprecated.
  Overrides:
    `releaseSocket` in class `weblogic.webservice.binding.soap.HttpClientBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD